using PlcSiemens.O;
using PlcSiemens.Protocol.Common;

namespace PlcSiemens.Protocol.ListBlocks
{
    public class BlockItem
    {
        public byte Zero { get; set; }   // always 0x30 -> Ascii 0
        public BlockType Type { get; set; }  // Block Type
        public ushort Count { get; set; } // Block count

        public void Build(ByteBuffer buffer)
        {
            Zero = buffer.PopByte();
            Type = (BlockType)buffer.PopByte();
            Count = buffer.PopUshort();
        }
    }
}
